org.acplt.oncrpc

## Class XdrFloat

- java.lang.Object
- - org.acplt.oncrpc.XdrFloat

All Implemented Interfaces:
  XdrAble

    public class XdrFloat
    extends java.lang.Object
    implements XdrAble

Instances of the class `XdrFloat` represent (de-)serializeable floats, which are especially useful in cases where a result with only a single float is expected from a remote function call or only a single float parameter needs to be supplied.

Please note that this class is somewhat modelled after Java's primitive data type wrappers. As for these classes, the XDR data type wrapper classes follow the concept of values with no identity, so you are not allowed to change the value after you've created a value object.

Version:
  $Revision: 1.1.1.1 $ $Date: 2003/08/13 12:03:40 $ $State: Exp $ $Locker: $
Author:
  Harald Albrecht

### Field Summary

Fields
`private float` `value` The encapsulated float value itself.

### Constructor Summary

Constructors
Constructor and Description
`XdrFloat()` Constructs and initializes a new `XdrFloat` object.
`XdrFloat(float value)` Constructs and initializes a new `XdrFloat` object.

### Method Summary

Methods
`float` `floatValue()` Returns the value of this `XdrFloat` object as a float primitive.
`void` `xdrDecode(XdrDecodingStream xdr)` Decodes -- that is: deserializes -- a XDR float from a XDR stream in compliance to RFC 1832.
`void` `xdrEncode(XdrEncodingStream xdr)` Encodes -- that is: serializes -- a XDR float into a XDR stream in compliance to RFC 1832.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### value

    private float value

The encapsulated float value itself.

### Constructor Detail

#### XdrFloat

    public XdrFloat(float value)

Constructs and initializes a new `XdrFloat` object.

Parameters:
  `value` - Float value.

#### XdrFloat

    public XdrFloat()

Constructs and initializes a new `XdrFloat` object.

### Method Detail

#### floatValue

    public float floatValue()

Returns the value of this `XdrFloat` object as a float primitive.

Returns:
  The primitive `float` value of this object.

#### xdrEncode

    public void xdrEncode(XdrEncodingStream xdr)
                   throws OncRpcException,
                          java.io.IOException

Encodes -- that is: serializes -- a XDR float into a XDR stream in compliance to RFC 1832.

Specified by:
  `xdrEncode` in interface `XdrAble`
Parameters:
  `xdr` - XDR stream to which information is sent for encoding.
Throws:
  `OncRpcException` - if an ONC/RPC error occurs.
  `java.io.IOException` - if an I/O error occurs.

#### xdrDecode

    public void xdrDecode(XdrDecodingStream xdr)
                   throws OncRpcException,
                          java.io.IOException

Decodes -- that is: deserializes -- a XDR float from a XDR stream in compliance to RFC 1832.

Specified by:
  `xdrDecode` in interface `XdrAble`
Parameters:
  `xdr` - XDR stream from which decoded information is retrieved.
Throws:
  `OncRpcException` - if an ONC/RPC error occurs.
  `java.io.IOException` - if an I/O error occurs.